#12562 closed Task/To do item (fixed)

Upgrade Roundcube (to 1.1.8)

Reported by: https://id.mayfirst.org/srevilak Owned by: https://id.mayfirst.org/srevilak
Priority: Medium Component: Tech
Keywords: roundcube Cc:
Sensitive: no

Description

There's a new version of roundcube. I plan to work on the upgrade this weekend.

Date: Fri, 10 Mar 2017 23:46:25 +0100
From: Thomas Bruederli 
To: Roundcube Announce List 
Cc: Roundcube Users List, Roundcube Dev List
Subject: [Roundcube Announce] Updates 1.2.4 and 1.1.8 released
Message-ID: <CAO3naw7W10HkMP98pd1XZDEXtoubr03jeSpBuDWAZPNd2=8NSA@mail.gmail.com>

[-- Attachment #1 --]
[-- Type: multipart/alternative, Encoding: 7bit, Size: 2.2K --]

Dear subscribers

We just published another update to both stable versions 1.2 and 1.1
delivering important bug fixes and improvements which we picked from the
upstream branch.

Included is a fix for a recently reported XSS vulnerability within CSS
styles inside an SVG tag. See the full changelog for 1.2.4 in the wiki [1]
and for version 1.1.8 in the release notes [2].

Both versions are considered stable and we recommend to update all
productive installations of Roundcube with either of these versions.
Download them from GitHub via https://roundcube.net/download.

As usual, don't forget to backup your data before updating!

Best,
Thomas


[1] https://github.com/roundcube/roundcubemail/wiki/Changelog#release-123
[2] https://github.com/roundcube/roundcubemail/releases/tag/1.1.8

Change History (6)

comment:1 Changed 20 months ago by https://id.mayfirst.org/srevilak

  • Owner set to https://id.mayfirst.org/srevilak
  • Status changed from new to assigned

comment:2 Changed 20 months ago by https://id.mayfirst.org/srevilak

Code Prep

0 sunny:roundcube$ git branch
  backup-20141005
  mfpl-release-1.0
* mfpl-release-1.1
0 sunny:roundcube$ git fetch gmo
From git://git.mayfirst.org/mfpl/roundcube
   1301f37..84725d1  mfpl-release-1.1 -> gmo/mfpl-release-1.1
0 sunny:roundcube$ git fetch origin
remote: Counting objects: 1325, done.
remote: Compressing objects: 100% (51/51), done.
remote: Total 1325 (delta 692), reused 683 (delta 682), pack-reused 590
Receiving objects: 100% (1325/1325), 1.26 MiB | 2.00 MiB/s, done.
Resolving deltas: 100% (911/911), completed with 289 local objects.
From https://github.com/roundcube/roundcubemail
 * [new branch]      dev-elastic -> origin/dev-elastic
 * [new branch]      dev-larry-flat -> origin/dev-larry-flat
   5bae3ca..d28a96e  dev-remove-js-deps -> origin/dev-remove-js-deps
   29d0b80..522565b  master     -> origin/master
   4c1394c..f148320  release-1.1 -> origin/release-1.1
   69189ed..cbd3562  release-1.2 -> origin/release-1.2
 * [new tag]         1.1.8      -> 1.1.8
 * [new tag]         1.2.4      -> 1.2.4
 * [new tag]         1.3-beta   -> 1.3-beta

$ git merge 1.1.8
Merge made by the 'recursive' strategy.
 CHANGELOG                             |  9 +++++++++
 index.php                             |  2 +-
 installer/index.php                   |  2 +-
 program/include/iniset.php            |  2 +-
 program/js/app.js                     | 33 ++++++++++++++++++++++++++-------
 program/lib/Roundcube/bootstrap.php   |  2 +-
 program/lib/Roundcube/rcube.php       |  6 +-----
 program/lib/Roundcube/rcube_utils.php | 27 +++++++++++++++++++++++++++
 program/steps/addressbook/func.inc    | 10 +++++++---
 program/steps/mail/autocomplete.inc   | 23 ++++++++++++++---------
 program/steps/mail/get.inc            |  1 +
 program/steps/settings/func.inc       |  7 +++++++
 12 files changed, 96 insertions(+), 28 deletions(-)

0 sunny:roundcube$ git diff composer.json composer.json-dist 
0 sunny:roundcube$

130 sunny:roundcube$ php composer.phar self-update
Updating to version 2e9dbb79ef63036090d01b07d005428e05c8a5fc.
    Downloading: 100%         
Use composer self-update --rollback to return to version 72cd6afdfce16f36a9fd786bc1b2f32b851e764f

git commit composer.phar

Because there are no differences between composer.json and composer.json-dist, I won't worry about upgrading the packages that composer manages.

0 sunny:roundcube$ git tag -s roundcube-1.1.8-mfpl1

0 sunny:roundcube$ git push gmo mfpl-release-1.1
Counting objects: 98, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (51/51), done.
Writing objects: 100% (98/98), 291.82 KiB | 0 bytes/s, done.
Total 98 (delta 70), reused 71 (delta 47)
remote: -------------------- Monkeysphere warning -------------------
remote: Monkeysphere found OpenPGP keys for this hostname, but none had full validity.
remote: An OpenPGP key matching the ssh key offered by the host was found:
remote: 
remote: pub   2048R/0x7289694B648C92DA 2010-09-10
remote: uid                 [ unknown] ssh://moses.mayfirst.org
remote: sig!3        0x7289694B648C92DA 2010-09-10  ssh://moses.mayfirst.org
remote: sig!      X  0xCCD2ED94D21739E9 2010-11-13  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
remote: sig!      X  0xCCD2ED94D21739E9 2012-09-21  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
remote: sig!         0xA014C05A607B7535 2014-01-09  James McClelland <jamie@mayfirst.org>
remote: sig!      X  0xCCD2ED94D21739E9 2014-09-24  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
remote: RSA key fingerprint is 58:c3:18:4b:11:e2:ab:17:e0:34:66:b5:f6:7a:81:4a.
remote: 
remote: -------------------- ssh continues below --------------------
remote: Host key verification failed.
remote: fatal: The remote end hung up unexpectedly
To ssh://gitosis@git.mayfirst.org/mfpl/roundcube
   84725d1..9f5c386  mfpl-release-1.1 -> mfpl-release-1.1
0 sunny:roundcube$ git push gmo --tags
Counting objects: 3988, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (1666/1666), done.
Writing objects: 100% (3988/3988), 1.44 MiB | 0 bytes/s, done.
Total 3988 (delta 2775), reused 3346 (delta 2192)
remote: -------------------- Monkeysphere warning -------------------
remote: Monkeysphere found OpenPGP keys for this hostname, but none had full validity.
remote: An OpenPGP key matching the ssh key offered by the host was found:
remote: 
remote: pub   2048R/0x7289694B648C92DA 2010-09-10
remote: uid                 [ unknown] ssh://moses.mayfirst.org
remote: sig!3        0x7289694B648C92DA 2010-09-10  ssh://moses.mayfirst.org
remote: sig!      X  0xCCD2ED94D21739E9 2010-11-13  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
remote: sig!      X  0xCCD2ED94D21739E9 2012-09-21  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
remote: sig!         0xA014C05A607B7535 2014-01-09  James McClelland <jamie@mayfirst.org>
remote: sig!      X  0xCCD2ED94D21739E9 2014-09-24  Daniel Kahn Gillmor <dkg@fifthhorseman.net>
remote: RSA key fingerprint is 58:c3:18:4b:11:e2:ab:17:e0:34:66:b5:f6:7a:81:4a.
remote: 
remote: -------------------- ssh continues below --------------------
remote: Host key verification failed.
remote: fatal: The remote end hung up unexpectedly
To ssh://gitosis@git.mayfirst.org/mfpl/roundcube
 * [new tag]         1.1.8 -> 1.1.8
 * [new tag]         1.2.4 -> 1.2.4
 * [new tag]         1.3-beta -> 1.3-beta
 * [new tag]         roundcube-1.1.8-mfpl1 -> roundcube-1.1.8-mfpl1

What's changed in this branch?

0 sunny:roundcube$ git log --oneline 1.1.7...1.1.8  | less
f148320 Bump version to 1.1.8
d6ddd31 Better fix for XSS in style tags (9b5eee294)
9b5eee2 Fix XSS issue in handling of a style tag inside of an svg element
11b65a9 Make sure date_create_from_format() exists
7536739 Fix bug where microsecond format in logged date didn't work in some cases
6c6b299 Fix so microseconds macro (u) in log_date_format works (#1490446)
b7a4257 Rename $sql_arr variable to $record as it's not about sql only
4cd090a Fix regression where groups with email address were resolved to its members' addresses
fca2bb7 Fix visual glitch when using disabled_actions for items in Settings menu
f8e0e1d Fix bug where signature couldn't be added above the quote in Firefox 51 (#5628)
7297504 Fix bug where mail content frame couldn't be reset in some corner cases (#5608)
e6132dd Fix so group/addressbook selection is retained on page refresh
28e3da2 Disable Print button for pdf attachments in Firefox (#5125)
0 sunny:roundcube$

And just for record keeping, the set of changes in mfpl roundcube, vs distribution roundcube.

9f5c386 updated composer
0dd3b1b Merge tag '1.1.8' into mfpl-release-1.1
84725d1 Merge tag '1.1.7' into mfpl-release-1.1
1301f37 removed no-longer-needed horde plugins https://support.mayfirst.org/ticket/11299
9a9b4a0 Merge tag '1.1.5' into mfpl-release-1.1
8371aac composer.phar => 72cd6afdfce16f36a9fd786bc1b2f32b851e764f
7168a1b composer.json update.  net_smtp 1.6.3 -> 1.7.1
8fbe0d4 Merge tag '1.1.4' into mfpl-release-1.1
3866416 cp composer.json-dist composer.json
abcf7fff  Missing ^%%$^^&*!#!#@ comma.  Sigh
7d4b092 updated composer.json, based on feedback from roundcube's update.sh
a7f25ba composer.phar Updating to version c9501a4cc164b176de48e44b239e619cfd5f14e5
7b1e960 Merge tag '1.1.3' into mfpl-release-1.1
c037dcc removed variables where we are not overriding default values
e0c4faa Removed "johndoh/sieverules": "dev-release-2.2"
124d783 removed sieverules plugin
2dabb66 usetls
30d92ba first pass at managesieve plugin configuration.  Not working yet.
e840c2a stock config.inc.php
d4e2724 composers's self-modifications, after installing sieve plugin
a3ce719 forbid access to composer.phar, composer.lock, or composer's `vendor' directory
1a9114e added sieverules plugin
016b2ba added johndoh/sieverules
2c136b5 added composer.phar
cdf0876 don't ignore composer files
213378f unmodified composer.json
f697fff Merge tag '1.1.2' into mfpl-release-1.1
47c565e Merge remote-tracking branch 'gmo/mfpl-release-1.1' into mfpl-release-1.1
ab51f8e (fetch_identity_objects): avoid redundant call to unserialize
4fb5a18 Adding two plugins: import_horde_contacts, import_horde_identities
52a3d9c (fetch_identity_objects): avoid redundant call to unserialize
cd41b88 Adding two plugins: import_horde_contacts, import_horde_identities

comment:3 Changed 20 months ago by https://id.mayfirst.org/srevilak

roundcube-dev update

Database backup

0 roundcube-dev@stallman:~$ pg_dump -b -C roundcube-dev | gzip -v9 > roundcube-dev.$(date +%F).sql.gz
 73.1%

Code update

0 roundcube-code@stallman:/srv/roundcube-dev$ git fetch gmo
remote: Counting objects: 125, done.
remote: Compressing objects: 100% (100/100), done.
remote: Total 100 (delta 69), reused 2 (delta 0)
Receiving objects: 100% (100/100), 293.05 KiB | 0 bytes/s, done.
Resolving deltas: 100% (69/69), completed with 22 local objects.
From git://git.mayfirst.org/mfpl/roundcube
   84725d1..9f5c386  mfpl-release-1.1 -> gmo/mfpl-release-1.1
 * [new tag]         roundcube-1.1.8-mfpl1 -> roundcube-1.1.8-mfpl1
 * [new tag]         1.1.8      -> 1.1.8

0 roundcube-code@stallman:/srv/roundcube-dev$ git tag --verify roundcube-1.1.8-mfpl1
object 9f5c386c1a5627335186918ab10fefcdb6c57431
type commit
tag roundcube-1.1.8-mfpl1
tagger Steve Revilak <steve@...> 1489267267 -0500

Added tag for mfpl installation of roundcube 1.1.8
gpg: Signature made Sat 11 Mar 2017 04:21:26 PM EST
gpg:                using RSA key 0x3EB22DE4E594DCF2
gpg: Good signature from "Steve Revilak <steve@...>"
gpg:                 aka "Steve Revilak <srevilak@...>"


0 roundcube-code@stallman:/srv/roundcube-dev$ git checkout roundcube-1.1.8-mfpl1
Previous HEAD position was 84725d1... Merge tag '1.1.7' into mfpl-release-1.1
HEAD is now at 9f5c386... updated composer

Database updates

255 roundcube-dev@stallman:/srv/roundcube-dev$ php bin/update.sh 
What version are you upgrading from? Type '?' if you don't know.
?
Executing database schema update.
WARNING: unable to update composer.json!
Please replace the 'require' section in your composer.json with the following:
    "require": {
        "php": ">=5.3.7",
        "roundcube/plugin-installer": "~0.1.6",
        "pear-pear.php.net/auth_sasl": "~1.0.6",
        "pear-pear.php.net/net_idna2": "~0.1.1",
        "pear-pear.php.net/net_sieve": "~1.3.4",
        "pear-pear.php.net/mail_mime": "~1.9.0",
        "pear-pear.php.net/net_smtp": "~1.7.1",
        "patchwork/utf8": "~1.2.3",
        "pear-pear.php.net/net_socket": "~1.0.12"
    }

NOTE: Update dependencies by running `php composer.phar update --no-dev`
This instance of Roundcube is up-to-date.
Have fun!

The last line doesn't appear in composer.json-dist or composer.json. So, let's go back and add that, because the upgrade script says we should.

Retag and repush

0 sunny:roundcube$ git tag -s roundcube-1.1.8-mfpl2
0 sunny:roundcube$ git push gmo
0 sunny:roundcube$ git push gmo --tags

0 roundcube-code@stallman:/srv/roundcube-dev$ git remote update
Fetching gmo
remote: Counting objects: 9, done.
remote: Compressing objects: 100% (7/7), done.
remote: Total 7 (delta 4), reused 0 (delta 0)
Unpacking objects: 100% (7/7), done.
From git://git.mayfirst.org/mfpl/roundcube
   9f5c386..a6d688f  mfpl-release-1.1 -> gmo/mfpl-release-1.1
 * [new tag]         roundcube-1.1.8-mfpl2 -> roundcube-1.1.8-mfpl2

0 roundcube-code@stallman:/srv/roundcube-dev$ git tag --verify roundcube-1.1.8-mfpl2 

0 roundcube-code@stallman:/srv/roundcube-dev$ git checkout roundcube-1.1.8-mfpl2
Previous HEAD position was 9f5c386... updated composer
HEAD is now at a6d688f... pear repository should use https, not http

Have composer update packages, because we changed the set of required dependencies.

0 roundcube-code@stallman:/srv/roundcube-dev$ php composer.phar update
Loading composer repositories with package information
Initializing PEAR repository https://pear.php.net
Updating dependencies (including require-dev)                  
Package operations: 0 installs, 21 updates, 0 removals
  - Removing pear-pear.php.net/net_smtp (1.7.2)
  - Installing pear-pear.php.net/net_smtp (1.7.3): Downloading (100%)  - Removing pear-pear.php.net/crypt_gpg (1.6.0b3)
  - Installing pear-pear.php.net/crypt_gpg (1.6.0): Downloading (100%)    Skipped installation of bin bin/crypt-gpg-pinentry for package pear-pear.php.net/crypt_gpg: name conflicts with an existing file
  - Removing pear-pear.php.net/xml_util (1.3.0)
  - Installing pear-pear.php.net/xml_util (1.4.2): Downloading (100%)  - Removing pear-pear.php.net/pear (1.10.1)
  - Installing pear-pear.php.net/pear (1.10.3): Downloading (100%)    Skipped installation of bin bin/peardev for package pear-pear.php.net/pear: name conflicts with an existing file
    Skipped installation of bin bin/pecl for package pear-pear.php.net/pear: name conflicts with an existing file
    Skipped installation of bin bin/pear for package pear-pear.php.net/pear: name conflicts with an existing file
  - Updating myclabs/deep-copy (1.5.5 => 1.6.0): Downloading (100%)         
  - Updating sebastian/recursion-context (dev-master 2c3ba15 => 2.0.x-dev 7e4d7c5):  Checking out 7e4d7c56f6
  - Updating sebastian/exporter (dev-master ce474bd => 2.0.x-dev 5e8e306):  Checking out 5e8e30670c
  - Updating sebastian/comparator (dev-master 2f09d5a => 1.2.x-dev 18a5d97):  Checking out 18a5d97c25
  - Updating phpspec/prophecy dev-master (6c52c27 => abe41cb):  Checking out abe41cb27f
  - Updating phpunit/php-timer (1.0.8 => dev-master d107f34):  Checking out d107f347d3
  - Updating phpunit/phpunit-mock-objects (3.4.3 => 3.4.x-dev 4001a30):  Checking out 4001a301f8
  - Removing sebastian/global-state (1.1.1)
  - Installing sebastian/global-state (1.1.x-dev cea85a8): Cloning cea85a84b0
  - Updating sebastian/object-enumerator (dev-master 96f8a3f => 2.0.x-dev c956fe7):  Checking out c956fe7a68
  - Updating phpunit/php-token-stream dev-master (3b402f6 => 9ddb181):  Checking out 9ddb181faa
  - Updating doctrine/instantiator dev-master (416fb8a => 5acd2bd):  Checking out 5acd2bd8c2
  - Updating sebastian/diff dev-master (d081431 => 763d7ad):  Checking out 763d7adeb8
  - Updating symfony/yaml dev-master (7ad8477 => d1abb47):  Checking out d1abb47376
  - Updating sebastian/environment dev-master (5795ffe => 144fedf):  Checking out 144fedf9aa
  - Updating sebastian/code-unit-reverse-lookup dev-master (9980576 => 3488be0):  Checking out 3488be0a7b
  - Updating phpunit/php-code-coverage 4.0.x-dev (31fbb24 => cb9dd0e):  Checking out cb9dd0ea37
  - Updating phpunit/phpunit 5.7.x-dev (de164ac => d421807):  Checking out d421807ce5
Writing lock file
Generating autoload files

Index contacts

1 roundcube-dev@stallman:/srv/roundcube-dev$ php bin/indexcontacts.sh 

Ran through some basic tests. Seems fine.

Because this is a bugfix/patch release, I'll go ahead and propagate the new revision to roundcube.mayfirst.org

comment:4 Changed 20 months ago by https://id.mayfirst.org/srevilak

roundcube.mayfirst.org upgrade

database backup

0 roundcube@stallman:~$ pg_dump -v -b -C roundcube | gzip -9 > roundcube.$(date +%F).sql.gz

Code update

0 roundcube-code@stallman:/srv/roundcube$ git fetch gmo
remote: Counting objects: 133, done.
remote: Compressing objects: 100% (107/107), done.
remote: Total 107 (delta 73), reused 2 (delta 0)
Receiving objects: 100% (107/107), 294.42 KiB | 0 bytes/s, done.
Resolving deltas: 100% (73/73), completed with 23 local objects.
From git://git.mayfirst.org/mfpl/roundcube
   84725d1..a6d688f  mfpl-release-1.1 -> gmo/mfpl-release-1.1
 * [new tag]         roundcube-1.1.8-mfpl2 -> roundcube-1.1.8-mfpl2
 * [new tag]         1.1.8      -> 1.1.8
 * [new tag]         roundcube-1.1.8-mfpl1 -> roundcube-1.1.8-mfpl1

0 roundcube-code@stallman:/srv/roundcube$ git tag -v roundcube-1.1.8-mfpl2

0 roundcube-code@stallman:/srv/roundcube$ git checkout roundcube-1.1.8-mfpl2
Previous HEAD position was 84725d1... Merge tag '1.1.7' into mfpl-release-1.1
HEAD is now at a6d688f... pear repository should use https, not http

0 roundcube-code@stallman:/srv/roundcube$ php composer.phar update
Loading composer repositories with package information
Initializing PEAR repository https://pear.php.net
Updating dependencies (including require-dev)
Package operations: 0 installs, 21 updates, 0 removals
  - Removing pear-pear.php.net/net_smtp (1.7.2)
  - Installing pear-pear.php.net/net_smtp (1.7.3): Loading from cache  - Removing pear-pear.php.net/crypt_gpg (1.6.0b3)
  - Installing pear-pear.php.net/crypt_gpg (1.6.0): Loading from cache    Skipped installation of bin bin/crypt-gpg-pinentry for package pear-pear.php.net/crypt_gpg: name conflicts with an existing file
  - Removing pear-pear.php.net/xml_util (1.3.0)
  - Installing pear-pear.php.net/xml_util (1.4.2): Loading from cache  - Removing pear-pear.php.net/pear (1.10.1)
  - Installing pear-pear.php.net/pear (1.10.3): Loading from cache    Skipped installation of bin bin/peardev for package pear-pear.php.net/pear: name conflicts with an existing file
    Skipped installation of bin bin/pecl for package pear-pear.php.net/pear: name conflicts with an existing file
    Skipped installation of bin bin/pear for package pear-pear.php.net/pear: name conflicts with an existing file
  - Updating myclabs/deep-copy (1.5.5 => 1.6.0): Loading from cache
  - Updating sebastian/recursion-context (dev-master 2c3ba15 => 2.0.x-dev 7e4d7c5):  Checking out 7e4d7c56f6
  - Updating sebastian/exporter (dev-master ce474bd => 2.0.x-dev 5e8e306):  Checking out 5e8e30670c
  - Updating sebastian/comparator (dev-master 2f09d5a => 1.2.x-dev 18a5d97):  Checking out 18a5d97c25
  - Updating phpspec/prophecy dev-master (6c52c27 => abe41cb):  Checking out abe41cb27f
  - Updating phpunit/php-timer (1.0.8 => dev-master d107f34):  Checking out d107f347d3
  - Updating phpunit/phpunit-mock-objects (3.4.3 => 3.4.x-dev 4001a30):  Checking out 4001a301f8
  - Updating sebastian/global-state (1.1.1 => 1.1.x-dev cea85a8):  Checking out cea85a84b0
  - Updating sebastian/object-enumerator (dev-master 96f8a3f => 2.0.x-dev c956fe7):  Checking out c956fe7a68
  - Updating phpunit/php-token-stream dev-master (3b402f6 => 9ddb181):  Checking out 9ddb181faa
  - Updating doctrine/instantiator dev-master (416fb8a => 5acd2bd):  Checking out 5acd2bd8c2
  - Updating symfony/yaml dev-master (7ad8477 => d1abb47):  Checking out d1abb47376
  - Updating sebastian/environment dev-master (5795ffe => 144fedf):  Checking out 144fedf9aa
  - Updating sebastian/diff dev-master (d081431 => 763d7ad):  Checking out 763d7adeb8
  - Updating sebastian/code-unit-reverse-lookup dev-master (9980576 => 3488be0):  Checking out 3488be0a7b
  - Updating phpunit/php-code-coverage 4.0.x-dev (31fbb24 => cb9dd0e):  Checking out cb9dd0ea37
  - Updating phpunit/phpunit 5.7.x-dev (de164ac => d421807):  Checking out d421807ce5
Writing lock file
Generating autoload files
0 roundcube-code@stallman:/srv/roundcube$

update scripts

0 roundcube@stallman:/srv/roundcube$ php bin/update.sh
What version are you upgrading from? Type '?' if you don't know.
?
Executing database schema update.
WARNING: unable to update composer.json!
Please replace the 'require' section in your composer.json with the following:
    "require": {
        "php": ">=5.3.7",
        "roundcube/plugin-installer": "~0.1.6",
        "pear-pear.php.net/auth_sasl": "~1.0.6",
        "pear-pear.php.net/net_idna2": "~0.1.1",
        "pear-pear.php.net/net_sieve": "~1.3.4",
        "pear-pear.php.net/mail_mime": "~1.9.0",
        "pear-pear.php.net/net_smtp": "~1.7.1",
        "patchwork/utf8": "~1.2.3",
        "pear-pear.php.net/net_socket": "~1.0.12"
    }

NOTE: Update dependencies by running `php composer.phar update --no-dev`
This instance of Roundcube is up-to-date.
Have fun!

composer.json has this require section, so nothing to do.

Hmm, it looks like I should have done composer update --no-dev, to avoid installing developer dependencies, like phpunit.

Ran composer update --no-dev in roundcube-dev. Failed the first time, but succeeded the second time.

Let's try that in roundcube.m.o

0 roundcube-code@stallman:/srv/roundcube$ php composer.phar update --no-dev
Loading composer repositories with package information
Initializing PEAR repository https://pear.php.net
Updating dependencies
Package operations: 0 installs, 0 updates, 23 removals
  - Removing phpunit/phpunit (5.7.x-dev)
  - Removing phpunit/php-code-coverage (4.0.x-dev)
  - Removing phpunit/php-token-stream (2.0.x-dev)
  - Removing sebastian/global-state (1.1.x-dev)
  - Removing phpunit/phpunit-mock-objects (3.4.x-dev)
  - Removing phpunit/php-timer (1.0.x-dev)
  - Removing phpspec/prophecy (1.7.x-dev)
  - Removing myclabs/deep-copy (1.6.0)
  - Removing pear-pear.php.net/crypt_gpg (1.6.0)
  - Removing phpdocumentor/reflection-docblock (3.1.1)
  - Removing phpdocumentor/type-resolver (0.2.1)
  - Removing phpdocumentor/reflection-common (1.0.x-dev)
  - Removing webmozart/assert (1.3.x-dev)
  - Removing sebastian/code-unit-reverse-lookup (1.0.x-dev)
  - Removing sebastian/diff (1.4.x-dev)
  - Removing sebastian/environment (2.0.x-dev)
  - Removing sebastian/resource-operations (1.0.x-dev)
  - Removing sebastian/version (2.0.x-dev)
  - Removing symfony/yaml (3.3.x-dev)
  - Removing pear-pear.php.net/console_commandline (1.2.2)
  - Removing phpunit/php-file-iterator (1.4.x-dev)
  - Removing doctrine/instantiator (1.0.x-dev)
  - Removing phpunit/php-text-template (1.2.1)
Writing lock file
Generating autoload files


  [RuntimeException]
  Could not scan for classes inside "/srv/roundcube/vendor/phpunit/php-token-stream/src/" which
   does not appear to be a file nor a folder


update [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--lock] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [--with-dependencies] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--prefer-stable] [--prefer-lowest] [-i|--interactive] [--root-reqs] [--] [<packages>]...


1 roundcube-code@stallman:/srv/roundcube$ php composer.phar update --no-dev
Loading composer repositories with package information
Initializing PEAR repository https://pear.php.net
Updating dependencies                                          
Writing lock file
Generating autoload files

Index contacts

0 roundcube@stallman:/srv/roundcube$ php bin/indexcontacts.sh 
Indexing contacts for user 1...done.
Indexing contacts for user 2...done.
  ...
0 roundcube@stallman:/srv/roundcube$ php bin/gc.sh 
0 roundcube@stallman:/srv/roundcube$ 

restarted roundcube and roundcube-dev via sv.

comment:5 Changed 20 months ago by https://id.mayfirst.org/srevilak

  • Resolution set to fixed
  • Status changed from assigned to feedback

comment:6 Changed 19 months ago by automatic

  • Status changed from feedback to closed

No news is good news (we hope)! Given the lack of feedback, we think this ticket can be closed.

Please login to add comments to this ticket.

Note: See TracTickets for help on using tickets.